    # File lib/compass/commands/create_project.rb, line 7
          def set_options(opts)

            if $command == "create"
              opts.banner = %Q{
                Usage: compass create path/to/project [options]

                Description:
                Create a new compass project at the path specified.

                Options:
              }.split("\n").map{|l| l.gsub(/^ */,'')}.join("\n")

              opts.on_tail("--bare", "Don't generate any Sass or CSS files.") do
                self.options[:bare] = true
              end
            else
              opts.banner = %Q{
                Usage: compass init project_type path/to/project [options]

                Description:
                Initialize an existing project at the path specified.

                Supported Project Types:
                * rails

                Options:
              }.split("\n").map{|l| l.gsub(/^ */,'')}.join("\n").strip
            end

            opts.on("--using PATTERN", "A framework's pattern to use when creating the project.") do |framework|
              framework = framework.split('/', 2)
              self.options[:framework] = framework[0]
              self.options[:pattern] = framework[1]
            end

            opts.on("-x", "--syntax SYNTAX", [:sass, :scss], "Specify the syntax to use when generating stylesheets.", "One of sass or scss. Defaults to scss.") do |syntax|
              self.options[:preferred_syntax] = syntax
            end

            opts.on("--prepare", "Prepare the project by only creating configuration files.") do
              self.options[:prepare] = true
            end

            super

          end